Subject: Re: bug#63318: Variable ediff-auto-refine doesn't always default to "on"

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 May 2023 17:02:14 +0300

> Date: Mon, 8 May 2023 11:26:47 +0100 (BST)
> From: Peter Oliver <[email-masked]>
> cc: [email-masked]
> 
> > Why doesn't Ediff turn on ediff-auto-refine for all terminals?
> > AFAICT, it only needs faces (basically, colors), and we support that
> > on all terminals nowadays?  So I think we should simply change the
> > default value (which will also solve bug#63317).  Or what am I
> > missing?
> 
> I assumed that this complication was present because there exist displays on which auto-refinement isn’t desirable.
> 
> If that’s no-longer the case, then great, simplifying the default to always be “on” certainly sounds like the best way to go to me.  Attached is a patch to do that instead.

Thanks, installed on the master branch (after applying the necessary
fix).

Closing the bug.